Package twisted :: Package im :: Module basechat :: Class Conversation

[frames | no frames]

## Class Conversation

A GUI window of a conversation with a specific person

Method Summary
| ``__init__`(self, person, chatui)`
| ``contactChangedNick`(self, person, newnick)` Change a person's name.
| ``hide`(self)` Hides the ConversationWindow
`Deferred` | ``sendText`(self, text)` Sends text to the person with whom the user is conversing.
| ``show`(self)` Displays the ConversationWindow
| ``showMessage`(self, text, metadata)` Display a message sent from the person with whom she is conversing

Method Details

### __init__(self, person, chatui)
(Constructor)

  Parameters:
    `person`
    (type=`Person`)
    `chatui`
    (type=`ChatUI`)

### contactChangedNick(self, person, newnick)

Change a person's name.

  Parameters:
    `person`
    (type=`Person`)
    `newnick`
    (type=string)

### hide(self)

Hides the ConversationWindow

### sendText(self, text)

Sends text to the person with whom the user is conversing.

  Returns:
    `Deferred`

### show(self)

Displays the ConversationWindow

### showMessage(self, text, metadata=None)

Display a message sent from the person with whom she is conversing

  Parameters:
    `text`
    (type=string)
    `metadata`
    (type=dict)

Generated by Epydoc 2.0 on Sat May 15 20:08:47 2004 | http://epydoc.sf.net